Bug 1569848 - Fontlint gives error with korean font.
Summary: Fontlint gives error with korean font.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: naver-nanum-fonts
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-20 06:01 UTC by Pooja Yadav
Modified: 2019-05-28 20:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:45:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Pooja Yadav 2018-04-20 06:01:19 UTC
Description of problem:
When testing for technical/common isssues for Korean font, getting error.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Fedora in korean locale
2. Run the command fontlint /usr/share/fonts/naver-nanum/NanumGothic.ttf


Actual results:
Getting below error:
[test@localhost ~]$ fontlint /usr/share/fonts/naver-nanum/NanumGothic.ttf
Copyright (c) 2000-2014 by George Williams. See AUTHORS for Contributors.
 License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
 with many parts BSD <http://fontforge.org/license.html>. Please read LICENSE.
 Based on sources from 21:59 UTC 11-Feb-2018-ML-D.
 Based on source from git with hash: 
Attempt to unget two characters
CHECKING     /usr/share/fonts/naver-nanum/NanumGothic.ttf
ERROR      2 Self-intersecting glyph
ERROR      3 Wrong direction
ERROR      5 Missing points at extrema
WARNING   99 Flags in the OS/2 table say the font is non-free
FAIL         /usr/share/fonts/naver-nanum/NanumGothic.ttf


Expected results:
There should be no error.


Additional info:

Comment 1 Pravin Satpute 2018-06-12 13:21:14 UTC
CHECKING     /usr/share/fonts/naver-nanum/NanumGothicBold.ttf
Warning: Mac and Windows entries in the 'name' table differ for the
  Fullname string in the language English (US)
  Mac String: NanumGothic Bold
  Windows String: NanumGothicBold
ERROR      2 Self-intersecting glyph
ERROR      3 Wrong direction
ERROR      5 Missing points at extrema
WARNING   99 Flags in the OS/2 table say the font is non-free
FAIL         /usr/share/fonts/naver-nanum/NanumGothicBold.ttf



CHECKING     /usr/share/fonts/naver-nanum/NanumGothicLight.ttf
ERROR      2 Self-intersecting glyph
ERROR      3 Wrong direction
ERROR      5 Missing points at extrema
WARNING   99 Flags in the OS/2 table say the font is non-free
FAIL         /usr/share/fonts/naver-nanum/NanumGothicLight.ttf


CHECKING     /usr/share/fonts/naver-nanum/NanumGothicExtraBold.ttf
Warning: Mac string is a subset of the Windows string in the 'name' table
  for the Family string in the English (US) language.
Warning: Mac and Windows entries in the 'name' table differ for the
  Styles (SubFamily) string in the language English (US)
  Mac String: ExtraBold
  Windows String: Regular
Warning: Mac and Windows entries in the 'name' table differ for the
  Fullname string in the language English (US)
  Mac String: NanumGothic ExtraBold
  Windows String: NanumGothicExtraBold
Warning: Mac string is a subset of the Windows string in the 'name' table
  for the Family string in the Korean language.
Warning: Mac and Windows entries in the 'name' table differ for the
  Styles (SubFamily) string in the language Korean
  Mac String: ExtraBold
  Windows String: Bold
ERROR      2 Self-intersecting glyph
ERROR      3 Wrong direction
ERROR      5 Missing points at extrema
WARNING   99 Flags in the OS/2 table say the font is non-free
FAIL         /usr/share/fonts/naver-nanum/NanumGothicExtraBold.ttf

Comment 2 Peng Wu 2018-06-13 03:37:28 UTC
Could you also report this bug to upstream?

Comment 3 Pravin Satpute 2018-06-13 04:37:24 UTC
Agree, that will give more chance to get this fixed.  I think Pooja can help with it.

Comment 4 Pooja Yadav 2018-06-25 11:31:51 UTC
Sure, I will report this to upstream too.

Comment 5 Ben Cotton 2019-05-02 21:31:45 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 20:45:59 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.